package fr.eni.enchere.bll;

import fr.eni.enchere.bo.Retrait;
import fr.eni.enchere.dal.RetraitRepository;
import org.springframework.stereotype.Service;

@Service("RetraitService")
public class RetraitServiceImpl implements RetraitService {

    public RetraitRepository retraitRepository;

    public RetraitServiceImpl(RetraitRepository retraitRepository) {
        this.retraitRepository = retraitRepository;
    }

    @Override
    public Retrait findByNumArticle(int idArticle) {
        return retraitRepository.findByNumArticle(idArticle);
    }

    @Override
    public void setRetrait(Retrait retrait) {
        retraitRepository.save(retrait);
    }

    @Override
    public void updateRetrait(Retrait retrait) {
        retraitRepository.update(retrait);
    }
}
